# Class CIM_VirtualSystemSnapshotServiceCapabilities
extends CIM_Capabilities

The CIM_VirtualSystemSnapshotServiceCapabilities class defines the properties that describe the capabilities of a virtual system snapshot service, like for example which snapshot operations are implemented.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_VirtualSystemSnapshotServiceCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_VirtualSystemSnapshotServiceCapabilities class defines the properties that describe the capabilities of a virtual system snapshot service, like for example which snapshot operations are implemented.
UMLPackagePath | string | CIM::Core::Virtualization
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
AynchronousMethodsSupported | uint16[] |
Description | string | Enumeration of method identifiers each identifying a method of class CIM_VirtualSystemSnapshotService that is supported synchronously and asynchronously by the implementation.
ValueMap | string | 2, 3, 4, ..
Values | string | CreateSnapshotSupported, DestroySnapshotSupported, ApplySnapshotSupported, DMTF Reserved
SnapshotTypesSupported | uint16[] |
Description | string | Supported snapshot types: Full Snapshot: Complete snapshot of the virtual system. Disk Snapshot: Snapshot of virtual system disks.
ModelCorrespondence | string | CIM_VirtualSystemSnapshotService.CreateSnapshot(SnapshotType), CIM_VirtualSystemSnapshotCapabilities.SnapshotTypesEnabled
ValueMap | string | 2, 3, .., 32768..65535
Values | string | Full Snapshot, Disk Snapshot, DMTF Reserved, Vendor Specific
SynchronousMethodsSupported | uint16[] |
Description | string | Enumeration of method identifiers each identifying a method of class CIM_VirtualSystemSnapshotService that is supported synchronously by the implementation.
ValueMap | string | 2, 3, 4, ..
Values | string | CreateSnapshotSupported, DestroySnapshotSupported, ApplySnapshotSupported, DMTF Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods